package com.cku.model;

import java.math.BigDecimal;
import java.util.Date;

public class CkuMatch {
    private Integer id;

    private String showsystem;

    private String showNum;

    private Date startingData;

    private Date endingData;

    private String showName;

    private String showLocation;

    private String showEnrolment;

    private Date addData;

    private Date modifiData;

    private BigDecimal bmfei;

    private String delTag;

    private Date ckuEndtime;

    private String ckuZhuantiweb;

    private String ckuPicture1;

    private String ckuPicture2;

    private String ckuCaipanid;

    private String ckuPicture3;

    private String ckuTel;

    private String ckuTableweb;

    private String ckuSlzweb;

    private String ckuGjdlweb;

    private String ckuJfweb;

    private String privilegesEnrolment;

    private String gametype;

    private String organizer;

    private String showcancel;

    private Integer venueId;

    private Integer costId;
    
    private String mainGameName;
    
    private String topDog;
    
    private String showsDetail;

    private Integer isTop;
    
    //推荐赛事信息
    private String topMessage;
    
    
    public String getTopMessage() {
		return topMessage;
	}

	public void setTopMessage(String topMessage) {
		this.topMessage = topMessage;
	}

	public Integer getIsTop() {
		return isTop;
	}

	public void setIsTop(Integer isTop) {
		this.isTop = isTop;
	}

	public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getShowsystem() {
        return showsystem;
    }

    public void setShowsystem(String showsystem) {
        this.showsystem = showsystem == null ? null : showsystem.trim();
    }

    public String getShowNum() {
        return showNum;
    }

    public void setShowNum(String showNum) {
        this.showNum = showNum == null ? null : showNum.trim();
    }

    public Date getStartingData() {
        return startingData;
    }

    public void setStartingData(Date startingData) {
        this.startingData = startingData;
    }

    public Date getEndingData() {
        return endingData;
    }

    public void setEndingData(Date endingData) {
        this.endingData = endingData;
    }

    public String getShowName() {
        return showName;
    }

    public void setShowName(String showName) {
        this.showName = showName == null ? null : showName.trim();
    }

    public String getShowLocation() {
        return showLocation;
    }

    public void setShowLocation(String showLocation) {
        this.showLocation = showLocation == null ? null : showLocation.trim();
    }

    public String getShowEnrolment() {
        return showEnrolment;
    }

    public void setShowEnrolment(String showEnrolment) {
        this.showEnrolment = showEnrolment == null ? null : showEnrolment.trim();
    }

    public Date getAddData() {
        return addData;
    }

    public void setAddData(Date addData) {
        this.addData = addData;
    }

    public Date getModifiData() {
        return modifiData;
    }

    public void setModifiData(Date modifiData) {
        this.modifiData = modifiData;
    }

    public BigDecimal getBmfei() {
        return bmfei;
    }

    public void setBmfei(BigDecimal bmfei) {
        this.bmfei = bmfei;
    }

    public String getDelTag() {
        return delTag;
    }

    public void setDelTag(String delTag) {
        this.delTag = delTag == null ? null : delTag.trim();
    }

    public Date getCkuEndtime() {
        return ckuEndtime;
    }

    public void setCkuEndtime(Date ckuEndtime) {
        this.ckuEndtime = ckuEndtime;
    }

    public String getCkuZhuantiweb() {
        return ckuZhuantiweb;
    }

    public void setCkuZhuantiweb(String ckuZhuantiweb) {
        this.ckuZhuantiweb = ckuZhuantiweb == null ? null : ckuZhuantiweb.trim();
    }

    public String getCkuPicture1() {
        return ckuPicture1;
    }

    public void setCkuPicture1(String ckuPicture1) {
        this.ckuPicture1 = ckuPicture1 == null ? null : ckuPicture1.trim();
    }

    public String getCkuPicture2() {
        return ckuPicture2;
    }

    public void setCkuPicture2(String ckuPicture2) {
        this.ckuPicture2 = ckuPicture2 == null ? null : ckuPicture2.trim();
    }

    public String getCkuCaipanid() {
        return ckuCaipanid;
    }

    public void setCkuCaipanid(String ckuCaipanid) {
        this.ckuCaipanid = ckuCaipanid == null ? null : ckuCaipanid.trim();
    }

    public String getCkuPicture3() {
        return ckuPicture3;
    }

    public void setCkuPicture3(String ckuPicture3) {
        this.ckuPicture3 = ckuPicture3 == null ? null : ckuPicture3.trim();
    }

    public String getCkuTel() {
        return ckuTel;
    }

    public void setCkuTel(String ckuTel) {
        this.ckuTel = ckuTel == null ? null : ckuTel.trim();
    }

    public String getCkuTableweb() {
        return ckuTableweb;
    }

    public void setCkuTableweb(String ckuTableweb) {
        this.ckuTableweb = ckuTableweb == null ? null : ckuTableweb.trim();
    }

    public String getCkuSlzweb() {
        return ckuSlzweb;
    }

    public void setCkuSlzweb(String ckuSlzweb) {
        this.ckuSlzweb = ckuSlzweb == null ? null : ckuSlzweb.trim();
    }

    public String getCkuGjdlweb() {
        return ckuGjdlweb;
    }

    public void setCkuGjdlweb(String ckuGjdlweb) {
        this.ckuGjdlweb = ckuGjdlweb == null ? null : ckuGjdlweb.trim();
    }

    public String getCkuJfweb() {
        return ckuJfweb;
    }

    public void setCkuJfweb(String ckuJfweb) {
        this.ckuJfweb = ckuJfweb == null ? null : ckuJfweb.trim();
    }

    public String getPrivilegesEnrolment() {
        return privilegesEnrolment;
    }

    public void setPrivilegesEnrolment(String privilegesEnrolment) {
        this.privilegesEnrolment = privilegesEnrolment == null ? null : privilegesEnrolment.trim();
    }

    public String getGametype() {
        return gametype;
    }

    public void setGametype(String gametype) {
        this.gametype = gametype == null ? null : gametype.trim();
    }

    public String getOrganizer() {
        return organizer;
    }

    public void setOrganizer(String organizer) {
        this.organizer = organizer == null ? null : organizer.trim();
    }

    public String getShowcancel() {
        return showcancel;
    }

    public void setShowcancel(String showcancel) {
        this.showcancel = showcancel == null ? null : showcancel.trim();
    }

    public Integer getVenueId() {
        return venueId;
    }

    public void setVenueId(Integer venueId) {
        this.venueId = venueId;
    }

    public Integer getCostId() {
        return costId;
    }

    public void setCostId(Integer costId) {
        this.costId = costId;
    }

	public String getMainGameName() {
		return mainGameName;
	}

	public void setMainGameName(String mainGameName) {
		this.mainGameName = mainGameName;
	}

	public String getTopDog() {
		return topDog;
	}

	public void setTopDog(String topDog) {
		this.topDog = topDog;
	}

	public String getShowsDetail() {
		return showsDetail;
	}

	public void setShowsDetail(String showsDetail) {
		this.showsDetail = showsDetail;
	}
}